1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Editieren nicht möglich - weiße Seite

Dieses Thema im Forum "Allgemeines" wurde erstellt von cpt. Nemo, 20. März 2017.

  1. cpt. Nemo

    cpt. Nemo Well-Known Member

    Registriert seit:
    6. Oktober 2013
    Beiträge:
    59
    Zustimmungen:
    0
    Moin Moin,

    eigentlich könnte ich die Fragestellung dieses Threads -> (forum.wpde.org/allgemeines/169018-kann-nicht-mehr-ins-backend-von-meiner-website[dot]html) per c/p hier einfügen, ich habe offensichtlich das gleiche Problem ...
    Das positive: Der Blog ist noch einwandfrei aufrufbar und sichtbar :smile:
    Wenn ich aber mit www.excel-ist-sexy.de/wp-login auf das Backend zugreifen will, sehe ich nur weiß ... :( sprich: eine weiße Seite.
    Es ist durchaus denkbar, dass irgend ein Update, welches ich regelmäßig mache, dafür verantwortlich ist. - Aber bevor ich wild im Nebel herumstochere (von PHP habe ich null Ahnung), hole ich mir bei euch doch lieber fachlichen Rat.

    Ich habe gelesen und verstanden (hoffentlich :cool:). Darum hänge ich einfach einmal die (wegen Zeichen-Beschränkung gekürzte) error.log an:

    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    Das einzige was ich davon verstehe: In Zeile 16 der index.php des Themes ist ein Fatal error, weil die function get_header() aufgerufen wird. VERSTEHEN kann ich das nicht, meine "Übersetzung" soll nur aufzeigen, dass ich versuche, mich nach meinen Möglichkeiten mit dem Thema auseinander zu setzen. Ich kann mir gut vorstellen, dass für die eine oder den anderen von Euch Helfern die Sache ganz klar ist ...

    So, vielleicht könnt ihr mir ja helfen. Wenn ihr mehr Informationen braucht, bitte erfragen. Meine Bitte: Möglichst mit step by step-Anweisungen, ich bin "nur" Nutzer des WP ...

    Jetzt schon einmal mein Dank fürs lesen.

    Gruß
    Günther
     
  2. cpt. Nemo

    cpt. Nemo Well-Known Member

    Registriert seit:
    6. Oktober 2013
    Beiträge:
    59
    Zustimmungen:
    0
    Moin,
    editieren ist nicht mehr möglich, daher hier ein EDIT:
    Ich habe mich an die wp-config.php ran getraut und einmal kurz den Debug-Modus eingeschaltet. Da kam dann diese Fehlermeldung:

    [FONT=&quot]Notice: load_plugin_textdomain was called with an argument that is [/FONT]deprecated[FONT=&quot] since version 2.7.0 with no alternative available. in /mnt/web219/d2/33/53917933/htdocs/EIS/wp-includes/functions.php on line 4024 Notice: get_currentuserinfo ist seit Version 4.5.0 [/FONT]veraltet[FONT=&quot]! Benutze stattdessen wp_get_current_user(). in /mnt/web219/d2/33/53917933/htdocs/EIS/wp-includes/functions.php on line 3829 Notice: has_cap wurde mit einem Parameter oder Argument aufgerufen, der seit Version 2.0.0 [/FONT]veraltet ist[FONT=&quot]! Die Benutzung von [/FONT]user_level[FONT=&quot] in Plugins und Themes ist veraltet. Nutze stattdessen das Abfragen von [/FONT]roles[FONT=&quot] oder [/FONT]capabilities[FONT=&quot]. in /mnt/web219/d2/33/53917933/htdocs/EIS/wp-includes/functions.php on line 4021 [FONT=&quot][/FONT][FONT=&quot][/FONT][FONT=&quot][/FONT][FONT=&quot][/FONT][FONT=&quot][/FONT][FONT=&quot][/FONT][FONT=&quot][/FONT]Fatal error: Cannot access self:: when no class scope is active in /mnt/web219/d2/33/53917933/htdocs/EIS/wp-content/plugins/pb-mailcrypt-antispam-email-encryption/pb-mailcrypt.php on line 92
    [/FONT]
    [FONT=&quot]
    Für euch ist das ja vielleicht ein "offenes Buch", für mich ein Respekt einflößender Text ;) Möge die Macht (der Erkenntnis) mit euch sein ...

    Gruß
    Günther[/FONT]
     
  3. SirEctor

    SirEctor Well-Known Member
    Ehrenmitglied

    Registriert seit:
    28. Oktober 2008
    Beiträge:
    12.341
    Zustimmungen:
    420
    Ich sehe, dass du einige Fehler auf deiner Webseite hast. Unter anderem sehe ich folgenden Fehler
    Hast du an der functions.php etwas geändert? Wenn ja, war das unklug, denn das ist eine Core Datei. Du könntest versuchen ein frischen WordPress manuell drüber zu bügeln. Mach dir aber vorher unbedingt ein Backup inkl. Datenbank.

    Edit: Es könnte auch sein, dass twentyten mit der neuesten WP-Version nicht mehr zurecht kommt. Letztes Update dafür gab es schließlich im August 2016
     
  4. cpt. Nemo

    cpt. Nemo Well-Known Member

    Registriert seit:
    6. Oktober 2013
    Beiträge:
    59
    Zustimmungen:
    0
    Danke SirEctor,

    oh no ... an der functions.php vergreife ich mich nicht :). Was ich nicht kenne oder ich habe keine klaren, eindeutigen "Ansagen", fasse ich nicht an.
    Ich hatte auch selber nichts an dem Blog modifiziert, außer den stets angebotenen Updates. Und vor einigen Tagen waren wieder einige Plugins im Update-Angebot, welches ich aus Prinzip annehme. Leider weiß ich nicht mehr, welche Plugins aufgefrischt worden sind.

    Ich glaube, dass ich heute Nacht erst einmal alle Plugins umbenenne und dann Stück für Stück wieder re-rename. Mal sehen, ob ich damit weiter komme. Wenn nicht, werde ich in den sauren Apfel beißen und deinem Vorschlag folgen. - Reicht es da, alle per FTP zugreifbare Folder und Files zu kopieren? Und die Datenbank direkt vom Server? Sorry für vielleicht "einfältige" Fragen, aber ich hasse den Satz "Hättest du doch vorher gefragt ..." :twisted:

    Beste Grüße
    Günther
     
  5. AmFearLiath

    AmFearLiath Well-Known Member

    Registriert seit:
    12. August 2012
    Beiträge:
    731
    Zustimmungen:
    0
  6. cpt. Nemo

    cpt. Nemo Well-Known Member

    Registriert seit:
    6. Oktober 2013
    Beiträge:
    59
    Zustimmungen:
    0
    Danke AmFearLiath,

    mit Notepad++, damit habe ich immer beste Erfahrung (in VB, VBA, TXT, ...) gemacht.
    Aber ich scheine mich leicht missverständlich ausgedrückt zu haben ... Diese WP-Admin-Macke kam aus heiterem Himmel, ohne dass ich einen aktiven Eingriff gemacht hatte (außer Plugin-Aktualisierung).

    Beste Grüße
    Günther
     
  7. cpt. Nemo

    cpt. Nemo Well-Known Member

    Registriert seit:
    6. Oktober 2013
    Beiträge:
    59
    Zustimmungen:
    0
    Moin an alle,

    so, ich kann wieder editieren :).
    Es war ein Plug-In, was dieses Desaster verursacht hat: pb-mailcrypt.
    Das ist jetzt raus und ich bin wieder happy.

    Nochmals mein Dank
    und allen ein frohes Schaffen

    Günther
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden